import { CreateStaffBodyType } from '@/data/staff/staff.model';
import { User } from '@/data/user/user.model';
import { CommonResponseType, PageAble } from '@/helpers/types';
import { request } from '@/services/request';

export const staff_requests = {
    async getAll(params?: { page?: number; sort?: string; direction?: string }) {
        return request.get<CommonResponseType<PageAble<User>>>('/users/list');
    },
    async create(body: CreateStaffBodyType) {
        return request.post<CommonResponseType>('/users/create', body);
    },
};
